%global pypiname py
Name:           %{pypiname}
Version:        1.5.4
Release:        1%{?dist}
Summary:        Python development support library 
Source0:         https://pypi.io/packages/source/r/%{pypiname}/%{pypiname}-%{version}.tar.gz

License:        GPLv2+ and MIT
BuildArch:      noarch

%description
Python development support library 

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:  python2-py
Requires:  python2-virtualenv >= 1.11.2
Requires:  python-pluggy

%prep
%setup -q -n %{pypiname}-%{version}

# remove bundled egg-info
rm -rf %{pypiname}.egg-info

%build
%py2_build

%install
%py2_install

%files -n %{pypiname}
%license LICENSE
%{python2_sitelib}/%{pypiname}
%{python2_sitelib}/%{pypiname}-%{version}-py2.?.egg-info

%changelog
* Mon Jul 16 2018 Arie Bregman <abregman@redhat.com> - 1.5.4-1
- First release
